Bug 98853 - Flip image does not display in print preview
Summary: Flip image does not display in print preview
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
4.2.8.2 release
Hardware: All Windows (All)
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords: preBibisect, regression
Depends on:
Blocks: Calc-Images
  Show dependency treegraph
 
Reported: 2016-03-24 01:10 UTC by HD
Modified: 2019-02-28 03:51 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments
sample ods file (19.13 KB, application/vnd.oasis.opendocument.spreadsheet)
2016-03-24 01:10 UTC, HD
Details

Note You need to log in before you can comment on or make changes to this bug.
Description HD 2016-03-24 01:10:16 UTC
Created attachment 123802 [details]
sample ods file

When I set the Flip to the image, it did not displayed in the print preview.

Steps to reproduce:
1.Open new spreadsheet and insert an image.
2.Click [File] - [Print].
  ---> Image is displayed.
3.Select image and right-click.
4.Select [Flip] - [Vertically] or [Horizontally]
5.Click [File] - [Print].
  ---> Image is not displayed.

In version 4.1.2, this issue does not occur.

Expected behavior:
Even when I set the Flip, I want to display image.

OS: Windows7 Professional
Version: 5.1.0.3
Build ID: 5e3e00a007d9b3b6efb6797a8b8e57b51ab1f737
CPU Threads: 4; OS Version: Windows 6.1; UI Render: default;
Locale: ja-JP (ja_JP)

Best regards.
Comment 1 HD 2016-03-24 02:46:50 UTC
I'll correct the previous description.

Image did not display in "print preview".
When I print, it was displayed.Flip setting also had been keep.
(In the printing of the confirmation screen, the setting of the Flip does not keep)

> 2.Click [File] - [Print].
2.Click [File] - [Print preview].
Comment 2 Buovjaga 2016-04-03 13:55:30 UTC
You mean print preview Ctrl-Shift-O?
I do not see the problem.

64-bit, KDE Plasma 5
Build ID: 5.1.1.3 Arch Linux build-2
CPU Threads: 8; OS Version: Linux 4.4; UI Render: default; 
Locale: fi-FI (fi_FI.UTF-8)
Comment 3 raal 2016-04-03 15:46:58 UTC
I can confirm with 4.2.8.2, 5.1.13 and 5.2, win7
Comment 4 HD 2016-04-05 00:33:41 UTC
(In reply to Buovjaga from comment #2)
> You mean print preview Ctrl-Shift-O?
> I do not see the problem.
> 
> 64-bit, KDE Plasma 5
> Build ID: 5.1.1.3 Arch Linux build-2
> CPU Threads: 8; OS Version: Linux 4.4; UI Render: default; 
> Locale: fi-FI (fi_FI.UTF-8)

Yes.
[File] - [Print preview] or [Ctrl]+[Shift]+[O].
Comment 5 Buovjaga 2016-04-05 05:18:28 UTC
Changing OS field as this is Win-only.
Comment 6 raal 2016-04-08 06:13:53 UTC
reproducible with Version: 4.5.0.0.alpha0+
Comment 7 Xisco Faulí 2016-09-02 09:36:10 UTC
According to comment 3, it can be reproduced with 4.2.8.2. Updating version then.
Comment 8 Xisco Faulí 2016-09-13 11:24:34 UTC
Adding keyword 'preBisect' as this regression was introduced before branch 4.4 and therefore it can't be bibisected as there's no bibisect repository for this branch.
Comment 9 QA Administrators 2018-02-08 03:35:42 UTC Comment hidden (obsolete)
Comment 10 Xisco Faulí 2018-02-27 11:25:43 UTC
Still reproducible in

Versión: 6.0.1.1
Id. de compilación: 60bfb1526849283ce2491346ed2aa51c465abfe6
Subprocs. CPU: 1; SO: Windows 6.1; Repres. IU: predet.; 
Configuración regional: es-ES (es_ES); Calc: group

Zooming in and out the print preview shows some parts of the image...
Comment 11 Xisco Faulí 2018-02-27 16:00:55 UTC
Probably the root cause is the same as in bug 98482
Comment 12 QA Administrators 2019-02-28 03:51:36 UTC
** Please read this message in its entirety before responding **

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug